Delete recommendation
curl --request DELETE \
--url https://{your-subdomain}.neetokb.com/api/external/v2/recommendations/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/recommendations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/recommendations/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"notice_code": "thumbs_up"
}{
"notice_code": "resource.notFound",
"entity": "<string>"
}Recommendations
Delete recommendation
This API deletes a recommendation. For CLI sessions, this needs the Manage recommendations permission.
DELETE
/
recommendations
/
{id}
Delete recommendation
curl --request DELETE \
--url https://{your-subdomain}.neetokb.com/api/external/v2/recommendations/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/recommendations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/recommendations/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){
"notice_code": "thumbs_up"
}{
"notice_code": "resource.notFound",
"entity": "<string>"
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the recommendation. Get it from Get recommended articles.
Response
OK - Recommendation deleted
Example:
"thumbs_up"